Other Classes: Interface DOMSerializer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Interface DOMSerializer

All Known Implementing Classes:
  BaseMarkupSerializer

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

public interface DOMSerializer

Interface for a DOM serializer implementation.

Version:
  $Revision: 476047 $ $Date: 2006-11-16 23:27:45 -0500 (Thu, 16 Nov 2006) $
Author:
  Scott Boag, Assaf Arkin

Method Summary
`void` | `serialize(org.w3c.dom.Document doc)` Deprecated. Serializes the DOM document.
`void` | `serialize(org.w3c.dom.DocumentFragment frag)` Deprecated. Serializes the DOM document fragment.
`void` | `serialize(org.w3c.dom.Element elem)` Deprecated. Serialized the DOM element.

Method Detail

### serialize

    public void serialize(org.w3c.dom.Element elem)
                   throws java.io.IOException

  Deprecated.
  Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.Document doc)
                   throws java.io.IOException

  Deprecated.
  Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `doc` - The document to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.DocumentFragment frag)
                   throws java.io.IOException

  Deprecated.
  Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.